Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class KohonenLearning

    java.lang.Object
      org.neuroph.core.learning.LearningRule
          org.neuroph.nnet.learning.KohonenLearning

All Implemented Interfaces:
  Serializable

    public class KohonenLearning

extends LearningRule

Learning algorithm for Kohonen network.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.LearningRule
`listeners, neuralNetwork`

Constructor Summary
`KohonenLearning()`

Method Summary
`Integer` | `getIteration()`
`double` | `getLearningRate()`
`int` | `getMapSize()`
`void` | `learn(DataSet trainingSet)` Override this method to implement specific learning procedures
`void` | `setIterations(int Iphase, int IIphase)`
`void` | `setLearningRate(double learningRate)`
`void` | `setNeuralNetwork(NeuralNetwork neuralNetwork)` Sets neural network for this learning rule

Methods inherited from class org.neuroph.core.learning.LearningRule
`addListener, fireLearningEvent, getNeuralNetwork, getTrainingSet, isStopped, onStart, removeListener, setTrainingSet, stopLearning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KohonenLearning

    public KohonenLearning()

Method Detail

### learn

    public void learn(DataSet trainingSet)

  Description copied from class: `LearningRule`
  Override this method to implement specific learning procedures

  Specified by:
    `learn` in class `LearningRule`
  Parameters:
    `trainingSet` - training set

### getLearningRate

    public double getLearningRate()

### setLearningRate

    public void setLearningRate(double learningRate)

### setIterations

    public void setIterations(int Iphase,
                              int IIphase)

### getIteration

    public Integer getIteration()

### getMapSize

    public int getMapSize()

### setNeuralNetwork

    public void setNeuralNetwork(NeuralNetwork neuralNetwork)

  Description copied from class: `LearningRule`
  Sets neural network for this learning rule

  Overrides:
    `setNeuralNetwork` in class `LearningRule`
  Parameters:
    `neuralNetwork` - neural network for this learning rule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.